PHPExcel_Writer_Excel2007_Theme

category | PHPExcel
package | PHPExcel_Writer_Excel2007
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Set parent IWriter object

    __construct(\PHPExcel_Writer_IWriter $pWriter)

Inherited

inherited_from | \PHPExcel_Writer_Excel2007_WriterPart::__construct()

### Parameters

#### $pWriter

`\PHPExcel_Writer_IWriter`

### Exceptions

`\PHPExcel_Writer_Exception` |

## Get parent IWriter object

    getParentWriter() : \PHPExcel_Writer_IWriter

Inherited

inherited_from | \PHPExcel_Writer_Excel2007_WriterPart::getParentWriter()

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`\PHPExcel_Writer_IWriter`

## Set parent IWriter object

    setParentWriter(\PHPExcel_Writer_IWriter $pWriter)

Inherited

inherited_from | \PHPExcel_Writer_Excel2007_WriterPart::setParentWriter()

### Parameters

#### $pWriter

`\PHPExcel_Writer_IWriter`

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write theme to XML format

    writeTheme(\PHPExcel $pPHPExcel) : string

### Parameters

#### $pPHPExcel

`\PHPExcel`

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`string`XML Output

## Write colour scheme to XML format

    _writeColourScheme(\PHPExcel_Shared_XMLWriter $objWriter) : string

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`string`XML Output

## Write fonts to XML format

    _writeFonts(\PHPExcel_Shared_XMLWriter $objWriter, string $latinFont, array $fontSet) : string

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

#### $latinFont

`string`

#### $fontSet

`array`

of string $fontSet

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`string`XML Output

### Properties

##

    $_colourScheme

static | array of string

##

    $_majorFonts

static | array of string

##

    $_minorFonts

static | array of string

##

    $_parentWriter : \PHPExcel_Writer_IWriter

Inherited

inherited_from | \PHPExcel_Writer_Excel2007_WriterPart::$$_parentWriter